Gentoo Archives: gentoo-python

From: "Michał Górny" <mgorny@g.o>
To: gentoo-dev-announce <gentoo-dev-announce@l.g.o>
Cc: gentoo-python <gentoo-python@l.g.o>
Subject: [gentoo-python] Python 3.7 is in!
Date: Mon, 16 Jul 2018 20:04:44
Message-Id: 1531771473.1439.7.camel@gentoo.org
Hi, everyone.

I've just enabled Python 3.7 compatibility in the initial set
of packages (~135 dependencies of setuptools).  Now that the hardest
part of the depgraph is done, you can start adding 3.7 support to your
packages.

As usual, I'd like to kindly ask you to enable tests in your packages
and make sure that they work correctly.  I would like to note that I've
also updated the documentation on running tests [1].  gpyutils are
running 3.6→3.7 reports [2] for a few days now.  However, the graphs are
currently disabled as the number of packages is too great for graphviz
to handle sanely.

[1]:https://wiki.gentoo.org/wiki/Project:Python/Tests
[2]:https://qa-reports.gentoo.org/output/gpyutils/36-to-37.txt

-- 
Best regards,
Michał Górny

Attachments

File name MIME type
signature.asc application/pgp-signature